Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Interface SchedulableExampleMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  SchedulableExample

public interface SchedulableExampleMBean
extends ServiceMBean

Author:
  Andreas Schaefer

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`void` | `hit(javax.management.Notification lNotification, java.util.Date lDate, long lRepetitions, javax.management.ObjectName lName, java.lang.String lTest)`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### hit

    public void hit(javax.management.Notification lNotification,
                    java.util.Date lDate,
                    long lRepetitions,
                    javax.management.ObjectName lName,
                    java.lang.String lTest)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.